import request from '@/utils/request'

// 查询用户投诉列表
export function listTalkno(query) {
  return request({
    url: '/tuya/talkno/list',
    method: 'get',
    params: query
  })
}

// 查询用户投诉详细
export function getTalkno(noId) {
  return request({
    url: '/tuya/talkno/' + noId,
    method: 'get'
  })
}

// 新增用户投诉
export function addTalkno(data) {
  return request({
    url: '/tuya/talkno',
    method: 'post',
    data: data
  })
}

// 修改用户投诉
export function updateTalkno(data) {
  return request({
    url: '/tuya/talkno',
    method: 'put',
    data: data
  })
}

// 删除用户投诉
export function delTalkno(noId) {
  return request({
    url: '/tuya/talkno/' + noId,
    method: 'delete'
  })
}
